summaryrefslogtreecommitdiff
path: root/openwrt/target/default/target_skeleton/bin/firstboot
diff options
context:
space:
mode:
authorMike Baker <mbm@openwrt.org>2005-05-23 21:44:17 +0000
committerMike Baker <mbm@openwrt.org>2005-05-23 21:44:17 +0000
commite118e0e8efb25f98442afd5659a97fd512bc5fc2 (patch)
tree0be7546e2a40d9732aea1519da751c649ff417c4 /openwrt/target/default/target_skeleton/bin/firstboot
parent665f4e542c1ccb225ff09e3a18c73375f91b0965 (diff)
downloadmtk-20170518-e118e0e8efb25f98442afd5659a97fd512bc5fc2.zip
mtk-20170518-e118e0e8efb25f98442afd5659a97fd512bc5fc2.tar.gz
mtk-20170518-e118e0e8efb25f98442afd5659a97fd512bc5fc2.tar.bz2
hide some non-critical error messages; prevent newbie bug reports
SVN-Revision: 1028
Diffstat (limited to 'openwrt/target/default/target_skeleton/bin/firstboot')
-rwxr-xr-xopenwrt/target/default/target_skeleton/bin/firstboot5
1 files changed, 5 insertions, 0 deletions
diff --git a/openwrt/target/default/target_skeleton/bin/firstboot b/openwrt/target/default/target_skeleton/bin/firstboot
index 2e7481d..cef258c 100755
--- a/openwrt/target/default/target_skeleton/bin/firstboot
+++ b/openwrt/target/default/target_skeleton/bin/firstboot
@@ -1,6 +1,11 @@
#!/bin/sh
# $Id$
+mount | grep squashfs >&- || {
+ echo "You do not have a squashfs partition; aborting"
+ echo "(firstboot cannot be run on jffs2 based firmwares)"
+ return
+}
[ -f "/tmp/.firstboot" ] && {
echo "firstboot is already running"